
// +----------------------------------------------------------------------------------------+ //
// |                                            !FT mCODE  \/                              | //
// |                            Knowledge of the ancients ( )                             | //
// |_________________________________________________o0o___(_)___o0o________________________| //
// |_____|_____|_____|_____|_____|_____|_____|_____|_____|_____|_____|_____|_____|____|_____| //
// |                                                                                   2011 | //
// |----------------------------------------------------------------------------------------| //
// | Programming language:     MQL4                                                         | //
// | Development platform:     MetaTrader 4                                                 | //
// |          End product:     Indicator for MetaTrader 4 designed                          | //
// |                           for Build 229 (current version)                              | //
// +----------------------------------------------------------------------------------------+ //

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Aqua
#property indicator_width1 3
#property indicator_color2 Aqua
#property indicator_width2 3

bool gi_76 = FALSE;
bool gi_80 = FALSE;
bool gi_84 = FALSE;
string gs_88 = "alert.wav";
extern int Periode = 12;
int gi_unused_104 = 0;
double gd_unused_108 = 0.618;
int gi_116 = 8;
int gi_120 = 0;
int gi_124 = 0;
int gi_128 = 0;
double g_ibuf_132[];
double g_ibuf_136[];
double g_bars_140;

int init() {
   SetIndexStyle(0, DRAW_ARROW);
   SetIndexStyle(1, DRAW_ARROW);
   SetIndexBuffer(0, g_ibuf_132);
   SetIndexBuffer(1, g_ibuf_136);
   SetIndexArrow(0, 233);
   SetIndexArrow(1, 234);
   SetIndexLabel(0, "Up Signal");
   SetIndexLabel(1, "Down Signal");
   return (0);
}

int deinit() {
   return (0);
}

int start() {
   double l_icustom_12;
   double l_icustom_20;
   double l_ima_28;
   double l_ima_36;
   int li_4 = IndicatorCounted();
   if (li_4 < 0) li_4 = 0;
   if (li_4 > 0) li_4--;
   int li_0 = Bars - li_4;
   for (int li_8 = 0; li_8 < li_0; li_8++) {
      if (gi_120 == 0) l_icustom_12 = iCustom(Symbol(), 0, "Sefcdotpasangan", gi_116, 0, li_8 + 1);
      l_icustom_20 = iCustom(Symbol(), 0, "Sefcdotpasangan", gi_116, 0, li_8);
      l_ima_28 = iMA(NULL, 0, Periode, 0, MODE_LWMA, PRICE_WEIGHTED, li_8 + 1);
      l_ima_36 = iMA(NULL, 0, Periode, 0, MODE_LWMA, PRICE_WEIGHTED, li_8);
      if (l_icustom_20 > l_ima_36 + gi_128 * Point && l_icustom_12 <= l_ima_28) {
         g_ibuf_132[li_8] = iLow(Symbol(), 0, li_8) - 3.0 * Point;
         g_ibuf_136[li_8] = EMPTY_VALUE;
         if (gi_76 == TRUE) PlaySound(gs_88);
         if (gi_84 == TRUE && Bars > g_bars_140) {
            Alert(Symbol(), "Buy signal", Period());
            g_bars_140 = Bars;
         }
         if (gi_80 == TRUE) Comment("Buy signal at Ask=", Ask, ", Bid=", Bid, ", Date=", TimeToStr(TimeCurrent(), TIME_DATE), " ", TimeHour(TimeCurrent()), ":", TimeMinute(TimeCurrent()), " Symbol=", Symbol(), " Period=", Period());
      } else {
         if (l_icustom_12 >= l_ima_28 && l_icustom_20 < l_ima_36 - gi_124 * Point) {
            g_ibuf_132[li_8] = EMPTY_VALUE;
            g_ibuf_136[li_8] = iHigh(Symbol(), 0, li_8) + 3.0 * Point;
            if (gi_76 == TRUE) PlaySound(gs_88);
            if (gi_84 == TRUE && Bars > g_bars_140) {
               Alert(Symbol(), "Sell signal", Period());
               g_bars_140 = Bars;
            }
            if (gi_80 == TRUE) Comment("Sell signal at Ask=", Ask, ", Bid=", Bid, ", Date=", TimeToStr(TimeCurrent(), TIME_DATE), " ", TimeHour(TimeCurrent()), ":", TimeMinute(TimeCurrent()), " Symbol=", Symbol(), " Period=", Period());
         } else {
            g_ibuf_136[li_8] = EMPTY_VALUE;
            g_ibuf_132[li_8] = EMPTY_VALUE;
         }
      }
   }
   return (0);
}